Get Integrations
curl --request GET \
--url https://public.reap.video/api/v1/automation/get-integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.reap.video/api/v1/automation/get-integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.reap.video/api/v1/automation/get-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.reap.video/api/v1/automation/get-integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public.reap.video/api/v1/automation/get-integrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public.reap.video/api/v1/automation/get-integrations")
.header("Authorization", "Bearer <token>")
.asString();{
"integrations": [
{
"id": "<string>",
"isActive": true,
"username": "<string>",
"name": "<string>",
"profilePictureUrl": "<string>"
}
]
}Publishing
Get Integrations
List active social media integrations connected to your studio
GET
/
automation
/
get-integrations
Get Integrations

For AI agents: a documentation index is at /llms.txt. Every page is also available as markdown, just append .md to the URL.
Overview
Retrieve all active social media integrations connected to your studio. Use this endpoint to get integration IDs needed for publishing and scheduling clips.Rate Limiting
This endpoint is rate limited to 10 requests per minute per API key.Integrations are connected and managed from your Reap dashboard. This endpoint only lists your active integrations.
Response
Array of active integration objects
Show Integration Object
Show Integration Object
Unique integration identifier (use this when publishing or scheduling)
Social media platform
youtube- YouTubeinstagram- Instagramtiktok- TikToklinkedin- LinkedInx- X (formerly Twitter)
Whether the integration is currently active and ready to publish
Platform username or handle
Display name on the platform
URL of the profile picture on the platform
Example Request
curl -X GET "https://public.reap.video/api/v1/automation/get-integrations" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
const response = await fetch('https://public.reap.video/api/v1/automation/get-integrations', {
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
});
const data = await response.json();
data.integrations.forEach(i => {
console.log(`${i.platform}: ${i.username} (${i.id})`);
});
import requests
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
response = requests.get(
'https://public.reap.video/api/v1/automation/get-integrations',
headers=headers
)
data = response.json()
for integration in data['integrations']:
print(f"{integration['platform']}: {integration['username']} ({integration['id']})")
<?php
$ch = curl_init('https://public.reap.video/api/v1/automation/get-integrations');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer YOUR_API_KEY',
'Content-Type: application/json'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
foreach ($data['integrations'] as $integration) {
echo $integration['platform'] . ': ' . $integration['username'] . "\n";
}
?>
package main
import (
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
type Integration struct {
ID string `json:"id"`
Platform string `json:"platform"`
Username string `json:"username"`
}
type Response struct {
Integrations []Integration `json:"integrations"`
}
func main() {
url := "https://public.reap.video/api/v1/automation/get-integrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
var result Response
json.Unmarshal(body, &result)
for _, i := range result.Integrations {
fmt.Printf("%s: %s (%s)\n", i.Platform, i.Username, i.ID)
}
}
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
public class GetIntegrationsExample {
public static void main(String[] args) throws Exception {
URL url = new URL("https://public.reap.video/api/v1/automation/get-integrations");
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("GET");
conn.setRequestProperty("Authorization", "Bearer YOUR_API_KEY");
conn.setRequestProperty("Content-Type", "application/json");
BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
Example Response
Was this page helpful?
⌘I